Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntitySheep

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityCreature
                  net.minecraft.src.EntityAgeable
                      net.minecraft.src.EntityAnimal
                          net.minecraft.src.EntitySheep

All Implemented Interfaces:
  IAnimals, IShearable

    public class EntitySheep

extends EntityAnimal
implements IShearable

Field Summary
`static float[][]` | `fleeceColorTable` Holds the RGB table of the sheep colors - in OpenGL glColor3f values - used to render the sheep colored fleece.

Fields inherited from class net.minecraft.src.EntityAnimal
`inLove`

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82181_as, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntitySheep(World par1World)`

Method Summary
`void` | `eatGrassBonus()` This function applies the benefits of growing back wool and faster growing up to the acting entity.
`float` | `func_70890_k(float par1)`
`float` | `func_70894_j(float par1)`
`int` | `getFleeceColor()`
`int` | `getMaxHealth()`
`static int` | `getRandomFleeceColor(Random par0Random)` This method is called when a sheep spawns in the world to select the color of sheep fleece.
`boolean` | `getSheared()` returns true if a sheeps wool has been sheared
`void` | `handleHealthUpdate(byte par1)`
`void` | `initCreature()` Initialize this creature.
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`boolean` | `isShearable(ItemStack item, World world, int X, int Y, int Z)` Checks if the object is currently shearable Example: Sheep return false when they have no wool
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
`ArrayList<ItemStack>` | `onSheared(ItemStack item, World world, int X, int Y, int Z, int fortune)` Performs the shear function on this object.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setFleeceColor(int par1)`
`void` | `setSheared(boolean par1)` make a sheep sheared if set to true
`EntityAnimal` | `spawnBabyAnimal(EntityAnimal par1EntityAnimal)` This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityAnimal
`attackEntityFrom, canMateWith, getBlockPathWeight, getCanSpawnHere, getTalkInterval, isBreedingItem, isInLove, resetInLove`

Methods inherited from class net.minecraft.src.EntityAgeable
`getGrowingAge, isChild, setGrowingAge`

Methods inherited from class net.minecraft.src.EntityCreature
`getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, faceEntity, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82165_m, func_85034_r, func_85035_bI, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTexture, getTotalArmorValue, getVerticalFaceSpeed, hasHome, heal, isBlocking, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, onUpdate, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82142_c, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### fleeceColorTable

    public static final float[][] fleeceColorTable

  Holds the RGB table of the sheep colors - in OpenGL glColor3f values - used to render the sheep colored fleece.

Constructor Detail

### EntitySheep

    public EntitySheep(World par1World)

Method Detail

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityAnimal`

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### handleHealthUpdate

    public void handleHealthUpdate(byte par1)

  Overrides:
    `handleHealthUpdate` in class `EntityLiving`

### func_70894_j

    public float func_70894_j(float par1)

### func_70890_k

    public float func_70890_k(float par1)

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `EntityAnimal`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityAnimal`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityAnimal`

### getFleeceColor

    public int getFleeceColor()

### setFleeceColor

    public void setFleeceColor(int par1)

### getSheared

    public boolean getSheared()

  returns true if a sheeps wool has been sheared

### setSheared

    public void setSheared(boolean par1)

  make a sheep sheared if set to true

### getRandomFleeceColor

    public static int getRandomFleeceColor(Random par0Random)

  This method is called when a sheep spawns in the world to select the color of sheep fleece.

### spawnBabyAnimal

    public EntityAnimal spawnBabyAnimal(EntityAnimal par1EntityAnimal)

  This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.

  Specified by:
    `spawnBabyAnimal` in class `EntityAnimal`

### eatGrassBonus

    public void eatGrassBonus()

  This function applies the benefits of growing back wool and faster growing up to the acting entity. (This function is used in the AIEatGrass)

  Overrides:
    `eatGrassBonus` in class `EntityLiving`

### initCreature

    public void initCreature()

  Initialize this creature.

  Overrides:
    `initCreature` in class `EntityLiving`

### isShearable

    public boolean isShearable(ItemStack item,
                               World world,
                               int X,
                               int Y,
                               int Z)

  Description copied from interface: `IShearable`
  Checks if the object is currently shearable Example: Sheep return false when they have no wool

  Specified by:
    `isShearable` in interface `IShearable`
  Parameters:
    `item` - The itemstack that is being used, Possible to be null
    `world` - The current world
    `X` - The X Position
    `Y` - The Y Position
    `Z` - The Z Position
  Returns:
    If this is shearable, and onSheared should be called.

### onSheared

    public ArrayList<ItemStack> onSheared(ItemStack item,
                                          World world,
                                          int X,
                                          int Y,
                                          int Z,
                                          int fortune)

  Description copied from interface: `IShearable`
  Performs the shear function on this object. This is called for both client, and server. The object should perform all actions related to being sheared, except for dropping of the items. Returns a list of items that resulted from the shearing process. For entities, they should trust there internal location information over the values passed into this function.

  Specified by:
    `onSheared` in interface `IShearable`
  Parameters:
    `item` - The itemstack that is being used, Possible to be null
    `world` - The current world
    `X` - The X Position
    `Y` - The Y Position
    `Z` - The Z Position
    `fortune` - The fortune level of the shears being used
  Returns:
    A ArrayList containing all items from this shearing. Possible to be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD